[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TAppHintTimerType

Represents TApplication hint timer states.

## Declaration

Source position: forms.pp line 1347

`type TAppHintTimerType = (`
`ahttNone,` |  | The hint timer is off.
`ahttShowHint,` |  | Waiting to show a hint; used when a hint timer is started.
`ahttHideHint,` |  | Waiting to hide an hint; used when the hint control is changed or the mouse leaves a hint rectangle.
`ahttReshowHint` |  | Waiting to show the next hint; used when the hide hint timer is started.
`);`

## Description

TAppHintTimerType is used in the implementation of the TApplication class, and passed as an argument to its StartHintTime method.